Skip to content

# `` resource_example

RDFLib has a `Resource` class, for a resource-centric API. The `Graph` class also has a `resource` function that can be used to create resources and manipulate them by quickly adding or querying for triples where this resource is the subject.

This example shows `g.resource()` in action.

Attributes:

- `bill` –
- `bob` –
- `g` –

## `` bill `module-attribute`

    bill = resource('http://example.com/bill')

## `` bob `module-attribute`

    bob = resource('http://example.com/bob')

## `` g `module-attribute`

    g = Graph()